/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-chat-server/src/org/opendj/server/chat/ChatException.java,v 1.1.1.1 2001/09/29 20:21:13 jonathan Exp $
 * $Log: ChatException.java,v $
 * Revision 1.1.1.1  2001/09/29 20:21:13  jonathan
 * Imported opendj-chat-server
 *
 */
package org.opendj.server.chat;

import org.opendj.util.NestedException;

public class ChatException extends NestedException {

    public static final String E_SOCKET_SETUP_FAILED
        = "The server socket could not be created.";

    public static final String E_COMMAND_NOT_SPECIFIED
        = "No command was specified.";

    public static final String E_CONNECTION_CLOSED
        = "The connection has been closed, no commands may be issued.";

    public static final String E_DB_INIT_FAILURE
        = "The database driver could not be loaded.";

    public ChatException() {}

    public ChatException(String s) {
        super(s);
    }

    public ChatException(Throwable t) {
        super(t);
    }

    public ChatException(String s, Throwable t) {
        super(s, t);
    }

}
