/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-chat-server/src/org/opendj/server/chat/Protocol.java,v 1.1.1.1 2001/09/29 20:21:13 jonathan Exp $
 * $Log: Protocol.java,v $
 * Revision 1.1.1.1  2001/09/29 20:21:13  jonathan
 * Imported opendj-chat-server
 *
 */
package org.opendj.server.chat;

public class Protocol {

    public static final long PING_MILLIS    = 20000;
    public static final int  SOCKET_TIMEOUT_MILLIS = 0;
    public static final int  PING_TIMEOUT_MILLIS = 45000;
    public static final long BOOT_DURATION_MILLIS = 60*60*1000;

    // Requests that we recognize
    public static final String REQ_HELLO      = "HELLO";
    public static final String REQ_JOIN       = "JOIN";
    public static final String REQ_JOINASDJ   = "JOINASDJ";
    public static final String REQ_JOINASDJEP = "JOINASDJEP";
    public static final String REQ_MESSAGE    = "MSG";
    public static final String REQ_LIST_USERS = "LISTUSERS";
    public static final String REQ_PONG       = "PONG";
    public static final String REQ_END        = "END";
    public static final String REQ_BOOT       = "BOOT";

    // Messages sent to the remote clients
    public static final String RES_CONFIG         = "CFG";
    public static final String RES_MESSAGE        = "MSG";
    public static final String RES_PRIVATEMESSAGE = "PMSG";
    public static final String RES_JOIN           = "JOI";
    public static final String RES_LUSER          = "USER";
    public static final String RES_NAMEOK         = "NAMEOK";
    public static final String RES_LEAVE          = "LEA";
    public static final String RES_LEAVE_TIMEDOUT = "TLLEA";
    public static final String RES_LEAVE_BOOTED   = "BLEA";
    public static final String RES_PING           = "PING";

    // Error messages
    public static final String RES_NOSUCHROOM   = "NOSUCHROOM";
    public static final String RES_ROOMFULL     = "ROOMFULL";
    public static final String RES_NAMETAKEN    = "NAMETAKEN";
    public static final String RES_NAMETOOSHORT = "NAMETOOSHORT";
    public static final String RES_NAMETOOLONG  = "NAMETOOLONG";
    public static final String RES_BLOCKED      = "BLOCKED";
    public static final String RES_NOSUCHDJ     = "NOSUCHDJ";
    public static final String RES_NOSUCHUSER   = "NOSUCHUSER";
    public static final String RES_BADPASSWORD  = "BADPASSWORD";
    public static final String RES_NAMEISDJ     = "NAMEISDJ";
    public static final String RES_NOTMODERATOR = "NOTMODERATOR";
    public static final String RES_CANTBOOTSELF = "CANTBOOTSELF";
    public static final String RES_MUSTBEDJ     = "MUSTBEADJ";

    public static final String RES_UNRECOGNIZED_COMMAND = "-UNRECOGNIZED_COMMAND";
    public static final String RES_SERVER_ERROR         = "-SERVER_ERROR";
    public static final String RES_ILLEGAL_STATE        = "-ILLEGAL_STATE";

    private Protocol () {}
}
